{
    attributes = (
        {
            columnName = "C_TYPE_MOT_PROLONGATION"; 
            externalType = VARCHAR2; 
            name = cTypeMotProlongation; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_TYPE_MOT_PROLONGATION_ONP"; 
            externalType = VARCHAR2; 
            name = cTypeMotProlongationOnp; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LC_TYPE_MOT_PROLONGATION"; 
            externalType = VARCHAR2; 
            name = lcTypeMotProlongation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LL_TYPE_MOT_PROLONGATION"; 
            externalType = VARCHAR2; 
            name = llTypeMotProlongation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = "REF_MOT_PROLONGATION"; 
            externalType = VARCHAR2; 
            name = refMotProlongation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            columnName = "TYPE_MOTIF"; 
            externalType = VARCHAR2; 
            name = typeMotif; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        cTypeMotProlongation, 
        cTypeMotProlongationOnp, 
        lcTypeMotProlongation, 
        llTypeMotProlongation, 
        refMotProlongation, 
        typeMotif
    ); 
    className = "org.cocktail.connecteur.common.modele.grhum.nomenclature.EOTypeMotProlongation"; 
    classProperties = (
        cTypeMotProlongation, 
        cTypeMotProlongationOnp, 
        lcTypeMotProlongation, 
        llTypeMotProlongation, 
        refMotProlongation, 
        typeMotif
    ); 
    externalName = "GRHUM.TYPE_MOT_PROLONGATION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            cTypeMotProlongationOnp, 
            lcTypeMotProlongation, 
            llTypeMotProlongation, 
            refMotProlongation, 
            typeMotif
        ); 
    }; 
    name = TypeMotProlongation; 
    primaryKeyAttributes = (cTypeMotProlongation); 
}
